net.sourceforge.pmd.lang.ast.xpath

## Class AttributeAxisIterator

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.AttributeAxisIterator

All Implemented Interfaces:
  Iterator<Attribute>

    public class AttributeAxisIterator
    extends Object
    implements Iterator<Attribute>

### Constructor Summary

Constructors
Constructor and Description
`AttributeAxisIterator(Node contextNode)`

### Method Summary

Methods
`boolean` `hasNext()`
`protected boolean` `isAttributeAccessor(Method method)`
`Attribute` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeAxisIterator

    public AttributeAxisIterator(Node contextNode)

### Method Detail

#### next

    public Attribute next()

Specified by:
  `next` in interface `Iterator<Attribute>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Attribute>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Attribute>`

#### isAttributeAccessor

    protected boolean isAttributeAccessor(Method method)